@echo off
setlocal

set CATALINA_HOME=%CD%\..\tomcat
set JAVA_HOME=%CD%\..\jre
set ASA_HOME=%CD%\..\ASA


if %ERRORLEVEL% == 2 goto end


:begin

"%JAVA_HOME%\bin\java.exe" -Xms256m -Xmx1024m -classpath "%CD%\..\Tools\sepm_monitor.jar;%CD%\..\bin\inst.jar;%CD%\..\bin\inst-res.jar;%CD%\..\tomcat\lib\jconn3.jar;" -Dcatalina.home="%CATALINA_HOME%" -Djava.library.path="%CATALINA_HOME%\bin;%ASA_HOME%\win32" com.sygate.scm.tools.monitor.SepmMonitor "%CATALINA_HOME%" 

set TEMP_ERROR_LEVEL=%ERRORLEVEL%

if %TEMP_ERROR_LEVEL% == 0 goto noerror
if %TEMP_ERROR_LEVEL% == 2 goto error2

goto end

:noerror
cls
@echo SepmMonitor is closed. Please check SepmMonitor.log under tomcat\logs\ folder.
goto end

:error2
cls
@echo SepmMonitor failed. Please check the tomcat\logs\SepmMonitor.log file for more details.
goto end

:end
endlocal